member node web testing

2011-05-16 21:02 - Rob Nahf

Status: Closed Start date: 2011-05-16

Priority: Normal Due date:  

Assignee: Rob Nahf % Done: 100%

Category: d1_integration Estimated time: 0.00 hour

Target version: Sprint-2011.35-Block.5   

Milestone: None Story Points:  

Product Version: *   

Description

set up web app (servlet) that takes the url of a given member node and performs integration tests against it.  See code checked into

repository: (https://repository.dataone.org/software/cicore/trunk/mn/d1_mn_tester/)  Goal is to allow external member node

developers to test their work against a standard set of tests.  Want to do it in a way that allows reuse existing tests.

Subtasks:

Task # 1570: refactor existing java tests to accept System parameters passed in from th... Closed

Task # 1568: implement the response format from wstest package (results.html) Closed

Task # 1576: create "buildout" mechanism for the webTesting servlet. Closed

Task # 1569: document the testing strategy and design Closed

Task # 1571: move all existing java tests to src/main/java Rejected

Task # 1567: re-implement test running servlet to generalize solution for all types of ... Rejected

Task # 1572: implement new Hudson call to run tests once tests are in main. Rejected

History

#1 - 2011-05-16 21:12 - Rob Nahf

- % Done changed from 0 to 50

- Category set to d1_integration

- Assignee set to Rob Nahf

Status:  have proof of concept for running java servlet that passes URL to JUnit tests. In  d1_integration: org.dataone.integration.webTest package. 

#2 - 2011-05-16 21:50 - Rob Nahf

- Position set to 16

- Position deleted (1)

#3 - 2011-05-25 15:43 - Dave Vieglais

- Position set to 13

- Position deleted (18)

- Target version changed from Sprint-2011.20-Block.3 to Sprint-2011.21-Block.3

#4 - 2011-05-25 15:45 - Dave Vieglais

- Position deleted (20)

- Position set to 13

#5 - 2011-05-31 15:22 - Dave Vieglais

- Position deleted (18)

- Position set to 4

- Target version changed from Sprint-2011.21-Block.3 to Sprint-2011.22-Block.3
#6 - 2011-05-31 16:51 - Dave Vieglais

- Target version changed from Sprint-2011.22-Block.3 to Sprint-2011.23-Block.3

- Position deleted (5)

- Position set to 18

#7 - 2011-06-27 01:17 - Dave Vieglais

- Target version changed from Sprint-2011.23-Block.3 to Sprint-2011.26-Block.4

- Position deleted (20)

- Position set to 11

#8 - 2011-08-16 18:17 - Rob Nahf

- Target version changed from Sprint-2011.26-Block.4 to Sprint-2011.33-Block.4

- Milestone set to None

#9 - 2011-08-30 01:42 - Dave Vieglais

- Position deleted (41)

- Target version deleted (Sprint-2011.33-Block.4)

- Position set to 1

#10 - 2011-08-30 01:47 - Dave Vieglais

- Position set to 1

- Position deleted (4)

#11 - 2011-08-30 02:36 - Dave Vieglais

- Position deleted (11)

- Position set to 4

#12 - 2011-08-30 02:50 - Dave Vieglais

- Target version set to Sprint-2011.35-Block.5

- Position set to 76

- Position deleted (4)

#13 - 2011-08-30 16:59 - Rob Nahf

- Status changed from In Progress to Closed

Main development work complete.  Remaining issues (regarding deployment) will be under a separate story / bug.
